/*
 *  linux/include/asm-arm/arch-psionw/irqs.h
 *
 *  Copyright (C) 2001 Tony Lindgren <tony@atomide.com>
 *  Copyright (C) 2001 Yuji Shinokawa <ysh@mob.or.jp>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Interrupts from INTSR1
 */
#define IRQ_EXTFIQ		       	0	/* External fiq (Nextfiq pin) */
#define IRQ_BLINT		       	1	/* Battery low */
#define IRQ_WEINT		       	2	/* Watch dog expired */
#define IRQ_MCINT			3	/* Media changed */
#define IRQ_CSINT			4	/* Sound codec */
#define IRQ_EINT1			5	/* CF card, external 1 (Neint1 pin) */
#define IRQ_EINT2			6	/* External 2 (Neint2 pin) */
#define IRQ_EINT3			7	/* Touch panel, external 3 (Neint3 pin) */
#define IRQ_TC1OI			8	/* TC1 under flow */
#define IRQ_TC2OI			9	/* TC2 under flow */
#define IRQ_RTCMI			10	/* RTC compare match */
#define IRQ_TINT			11	/* 64Hz tick */
#define IRQ_UART1			12	/* Uart1 */
#define IRQ_UART2			13	/* Uart2 */
#define IRQ_LCDINT			14	/* LCD */
#define IRQ_SSEOTI			15	/* SSI */

/* 
 * Define the irqs in use, and the irqs that need custom handling with 
 * mask_ack_irq_int1
 */
#define INT1_IRQS			(0x0000ffff)
#define INT1_ACK_IRQS			(0x00000f50)

#define NR_IRQS                         16

/* First four interrupts are FIQs */
#define FIQ_START			0

/* This is needed by rtc.c */
#undef RTC_IRQ
#define RTC_IRQ                               IRQ_RTCMI
